Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.portal.owswatch
Enum Status

    java.lang.Object
      java.lang.Enum<Status>
          org.deegree.portal.owswatch.Status

All Implemented Interfaces:
  Serializable, Comparable<Status>

    public enum Status

extends Enum<Status>

Enum to hold the different states of a response to the tests made on different services

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  Moataz Elmasry, last edited by: $Author: jmays $

Enum Constant Summary
`RESULT_STATE_AVAILABLE` If the Service is available
`RESULT_STATE_BAD_RESPONSE` If the response stream is null or can not be read
`RESULT_STATE_ERROR_UNKNOWN` A general use error
`RESULT_STATE_INVALID_XML` The returned xml document can not be parsed
`RESULT_STATE_NOT_IMPLEMENTED` The requested service is not implemented
`RESULT_STATE_PAGE_UNAVAILABLE` If the page is unavailable at all
`RESULT_STATE_SERVICE_UNAVAILABLE` In case the page is available but the request returned no response
`RESULT_STATE_TIMEOUT` Timeout has occured while executing the request
`RESULT_STATE_UNEXPECTED_CONTENT`
`RESULT_STATE_WAITING` If the Service has not yet been tested

Method Summary
`String` | `getStatusMessage()`
`boolean` | `isAvailable()`
`boolean` | `isCriticalError()`
`boolean` | `isNonCriticalError()`
`boolean` | `isWaiting()`
`static Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RESULT_STATE_AVAILABLE

    public static final Status RESULT_STATE_AVAILABLE

  If the Service is available

### RESULT_STATE_WAITING

    public static final Status RESULT_STATE_WAITING

  If the Service has not yet been tested

### RESULT_STATE_PAGE_UNAVAILABLE

    public static final Status RESULT_STATE_PAGE_UNAVAILABLE

  If the page is unavailable at all

### RESULT_STATE_TIMEOUT

    public static final Status RESULT_STATE_TIMEOUT

  Timeout has occured while executing the request

### RESULT_STATE_NOT_IMPLEMENTED

    public static final Status RESULT_STATE_NOT_IMPLEMENTED

  The requested service is not implemented

### RESULT_STATE_BAD_RESPONSE

    public static final Status RESULT_STATE_BAD_RESPONSE

  If the response stream is null or can not be read

### RESULT_STATE_SERVICE_UNAVAILABLE

    public static final Status RESULT_STATE_SERVICE_UNAVAILABLE

  In case the page is available but the request returned no response

### RESULT_STATE_INVALID_XML

    public static final Status RESULT_STATE_INVALID_XML

  The returned xml document can not be parsed

### RESULT_STATE_ERROR_UNKNOWN

    public static final Status RESULT_STATE_ERROR_UNKNOWN

  A general use error

### RESULT_STATE_UNEXPECTED_CONTENT

    public static final Status RESULT_STATE_UNEXPECTED_CONTENT

Method Detail

### values

    public static final Status[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Status c : Status.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### isAvailable

    public boolean isAvailable()

  Returns:
    true if the service is available, false otherwise

### isWaiting

    public boolean isWaiting()

  Returns:
    true if the state is waiting, false otherwise

### isCriticalError

    public boolean isCriticalError()

  Returns:
    true if the error is critical, false otherwise

### isNonCriticalError

    public boolean isNonCriticalError()

  Returns:
    true if the error is nonCritical, false otherwise

### getStatusMessage

    public String getStatusMessage()

  Returns:
    String representation of the error code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org